Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.datecs.api.card
Class FinancialCard

    java.lang.Object
      com.datecs.api.card.FinancialCard

    public final class FinancialCard

extends java.lang.Object

This class represents an extracted account information from financial card track data.

The data from first track of financial card contains all account information, while the data from second track contains only the card number and expiration date.

Constructor Summary
`FinancialCard(java.lang.String data)` Constructs a new instance of this class from a given financial card track data.

Method Summary
`int` | `getExpiryMonth()` Returns an expiration month of this financial card.
`int` | `getExpiryYear()` Returns an expiration year of this financial card.
`java.lang.String` | `getName()` Returns a card holder's name of this financial card.
`java.lang.String` | `getNumber()` Returns a unique identifier of this financial card.
`java.lang.String` | `getServiceCode()` Returns a service code.
`java.lang.String` | `toString()` Returns the string representation of object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FinancialCard

    public FinancialCard(java.lang.String data)

  Constructs a new instance of this class from a given financial card track data.

  If `data` is `null, a `NullPointerException` is thrown.`

  Parameters:
    `data` - the data from the first or second track.

Method Detail

### getNumber

    public java.lang.String getNumber()

  Returns a unique identifier of this financial card.

  Returns:
    a unique identifier.

### getName

    public java.lang.String getName()

  Returns a card holder's name of this financial card.

  Returns:
    a card holder's name.

### getExpiryMonth

    public int getExpiryMonth()

  Returns an expiration month of this financial card.

  Returns:
    an expiration month.

### getExpiryYear

    public int getExpiryYear()

  Returns an expiration year of this financial card.

  Returns:
    an expiration year.

### getServiceCode

    public java.lang.String getServiceCode()

  Returns a service code.

  Returns:
    a service code.

### toString

    public java.lang.String toString()

  Returns the string representation of object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD